{% extends 'base.html.twig' %}

{% block title %}IndexAction{% endblock %}

{%  block styles %}
    {{ parent() }}
    <style>
        .custom_button{
            margin-top: 7px;
            width: 90px;
        }
    </style>
{% endblock %}

{% block new_button %}
    <a href="{{ path('edit-action-post-first') }}" type="button" class="btn btn-success custom_button">{{ 'new' | trans }}</a>
{% endblock %}

{% block tablecontent %}

    {% if message is defined %}
        <div class="alert alert-danger alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            {{ message }}
        </div>
    {% endif %}

    <thead>
    <tr>
        <th>{{ 'id' | trans }}</th>
        <th>{{ 'title_raw' | trans }}</th>
        <th>{{ 'short_description_raw' | trans }}</th>
    </tr>
    </thead>

    {% for part in array %}
        <tbody>
        <tr>
            <td>{{ part.id }}</td>
            <td><a href="{{ path('show-action-post', {'id': part.id}) }}">{{ part.title }}</a></td>
            <td>{{ part.description }}</td>
        </tr>
        </tbody>
    {% endfor %}

{% endblock %}
